### Method

# Gimp Image set_tattoo_state

#### Declaration [src]

    gboolean
    gimp_image_set_tattoo_state (
      GimpImage* image,
      guint tattoo_state
    )

#### Description [src]

Set the tattoo state associated with the image.

This procedure sets the tattoo state of the image. Use only by save/load plug-ins that wish to preserve an images tattoo state. Using this function at other times will produce unexpected results. A full check of uniqueness of states in layers, channels and paths will be performed by this procedure and a execution failure will be returned if this fails. A failure will also be returned if the new tattoo state value is less than the maximum tattoo value from all of the tattoos from the paths, layers and channels. After the image data has been loaded and all the tattoos have been set then this is the last procedure that should be called. If effectively does a status check on the tattoo values that have been set to make sure that all is OK.

#### Parameters

`tattoo_state` | `guint`
| The new image tattoo state.

#### Return value

Returns: | `gboolean`
| TRUE on success.